import { jsx } from "react/jsx-runtime";
import { FileImage as FileImage$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileImage = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FileImage", ...props, children: /* @__PURE__ */ jsx(FileImage$1, { weight: variant }) });
  }
);
FileImage.displayName = "FileImage";
Object.assign(FileImage, { isGdsIcon: true });
export {
  FileImage
};
